package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 批量初始化K12班级
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class OrganizationNodeServiceInitSchoolClassesRequest extends OpenApiRequest<OrganizationNodeServiceInitSchoolClassesParam, OrganizationNodeServiceInitSchoolClassesResult> {

    public OrganizationNodeServiceInitSchoolClassesRequest(OrganizationNodeServiceInitSchoolClassesParam param) {
        this();
        setBizModel(param);
    }

    public OrganizationNodeServiceInitSchoolClassesRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/organization-node-service/init-school-classes");
        setHttpMethod("POST");
    }

    public Class<OrganizationNodeServiceInitSchoolClassesResult> getResponseClass() {
        return OrganizationNodeServiceInitSchoolClassesResult.class;
    }

    public Class<OrganizationNodeServiceInitSchoolClassesParam> getDomainClass() {
        return OrganizationNodeServiceInitSchoolClassesParam.class;
    }
}

